#include "options.h"
#include "conf.h"

struct Options options_defaults(void)
{
	return (struct Options){
	    .tileset_path = "",
	    .level_path = "",
	    .tile_width = TILE_WIDTH,
	    .tile_height = TILE_HEIGHT,
	    .tile_first = TILE_FIRST,
	    .tileset_width = 0,
	    .tileset_height = 0,
	    .new_level_width = NEW_LEVEL_WIDTH,
	    .new_level_height = NEW_LEVEL_HEIGHT,
	    .editor_width = EDITOR_WINDOW_WIDTH,
	    .editor_height = EDITOR_WINDOW_HEIGHT,
	    .editor_target_fps = EDITOR_TARGET_FPS,
	    .editor_draw_offset_x = EDITOR_DRAW_OFFSET_X,
	    .editor_draw_offset_y = EDITOR_DRAW_OFFSET_Y,
	    .editor_bg_color = EDITOR_BACKGROUND_COLOR,
	    .picker_window_width = 0,
	    .picker_window_height = 0,
	    .picker_target_fps = PICKER_TARGET_FPS,
	    .picker_padding = PICKER_PADDING,
	    .picker_bg_color = PICKER_BACKGROUND_COLOR,
	    .level_create = 0,
	};
}
