/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */
#pragma once

#define INFO(message)                                                  \
	{                                                              \
		extern int verbose;                                    \
		if (verbose)                                           \
			printf("[%s:%d] " message "\n", __FILE__,      \
			       __LINE__);                              \
	}
#define INFO_VAR(format, var)                                          \
	{                                                              \
		extern int verbose;                                    \
		if (verbose)                                           \
			printf("[%s:%d] " format "\n", __FILE__,       \
			       __LINE__, var);                         \
	}
